al_set_new_bitmap_wrap(3)

NAME

al_set_new_bitmap_wrap - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_new_bitmap_wrap(ALLEGRO_BITMAP_WRAP u, ALLEGRO_BITMAP_WRAP v)

DESCRIPTION

Sets the texture wrapping settings for newly created bitmaps (on the current thread). Typically you take advantage of this feature either via the primitives addon (see al_draw_prim(3) and others) or via custom shaders (see ALLEGRO_SHADER(3)).

    Note: In the context of custom shaders, Direct3D and OpenGL have different granularities for controlling this setting. Direct3D sets wrapping setting for each sampler separately, while OpenGL sets it per-texture. This interacts particularly poorly with the primitives addon which (for backwards compatibility) alters the wrapping setting. To minimize this issue, use a wrapping setting that’s not ALLEGRO_BITMAP_WRAP_DEFAULT.

SINCE

5.2.8

    [Unstable API]: This is an experimental feature.

SEE ALSO

ALLEGRO_BITMAP_WRAP(3)